curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payments \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: order-9481-collection' \
--data '{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}'
{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}
{
"success": true,
"data": {
"id": "c5420e62-f80a-48a8-bec8-06eabf59e486",
"reference": "BCP-PAY-01JAC8YMJ6",
"account_id": "53258554-7e6a-4e8c-b213-a521430f83ce",
"application_id": "56c21aef-170e-4941-a8da-e2aba353a42a",
"country": "CM",
"amount": "15000.0000",
"currency": "XAF",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"environment": "LIVE",
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
},
"status": "PENDING",
"expires_at": null,
"created_at": "2026-10-20T12:30:00.000000Z",
"updated_at": "2026-10-20T12:30:00.000000Z"
},
"meta": {
"correlation_id": "9b76a47f-914b-46ab-a15a-19d8507aa589"
}
}
Paiements
Créer un paiement
Initiez une collecte ou un dépôt avec une clé d’idempotence.
POST
/
payments
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payments \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: order-9481-collection' \
--data '{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}'
{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}
{
"success": true,
"data": {
"id": "c5420e62-f80a-48a8-bec8-06eabf59e486",
"reference": "BCP-PAY-01JAC8YMJ6",
"account_id": "53258554-7e6a-4e8c-b213-a521430f83ce",
"application_id": "56c21aef-170e-4941-a8da-e2aba353a42a",
"country": "CM",
"amount": "15000.0000",
"currency": "XAF",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"environment": "LIVE",
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
},
"status": "PENDING",
"expires_at": null,
"created_at": "2026-10-20T12:30:00.000000Z",
"updated_at": "2026-10-20T12:30:00.000000Z"
},
"meta": {
"correlation_id": "9b76a47f-914b-46ab-a15a-19d8507aa589"
}
}
Envoyez une clé
Idempotency-Key stable pour la même opération métier. Une nouvelle clé crée une nouvelle opération.
curl --request POST \
--url https://api.bizconnectpay.com/api/v1/payments \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: order-9481-collection' \
--data '{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}'
{
"amount": "15000",
"currency": "XAF",
"country": "CM",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"payer": {
"phone_number": "+237671234567",
"lang": "fr"
},
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
}
}
{
"success": true,
"data": {
"id": "c5420e62-f80a-48a8-bec8-06eabf59e486",
"reference": "BCP-PAY-01JAC8YMJ6",
"account_id": "53258554-7e6a-4e8c-b213-a521430f83ce",
"application_id": "56c21aef-170e-4941-a8da-e2aba353a42a",
"country": "CM",
"amount": "15000.0000",
"currency": "XAF",
"operation": "COLLECTION",
"payment_method": "mtn_momo",
"environment": "LIVE",
"description": "Paiement commande 9481",
"metadata": {
"client_reference": "CMD-2026-9481"
},
"status": "PENDING",
"expires_at": null,
"created_at": "2026-10-20T12:30:00.000000Z",
"updated_at": "2026-10-20T12:30:00.000000Z"
},
"meta": {
"correlation_id": "9b76a47f-914b-46ab-a15a-19d8507aa589"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Clé unique et stable pour cette opération métier.
Maximum string length:
255Body
application/json
Required string length:
2Example:
"CM"
Pattern:
^[0-9]+(\.[0-9]{1,4})?$Required string length:
3Example:
"XAF"
Available options:
COLLECTION, DEPOSIT, WITHDRAWAL, REFUND, TRANSFER, PAYOUT, REVERSAL, FX_CONVERSION Maximum string length:
60Show child attributes
Show child attributes
Maximum string length:
1000